extract_font_range(3)

NAME
extract_font_range - Extracts a range of characters from a font. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

FONT *extract_font_range(FONT *f, int begin, int end)

DESCRIPTION
This function extracts a character range from a font and returns a new font that contains only the range of characters selected by this function. You can pass -1 for either the lower or upper bound if you want to select all characters from the start or to the end of the font. Example:
   FONT *myfont;
   FONT *capitals;
   FONT *fontcopy;
   ...
   /* Create a font of only capital letters */
   capitals = extract_font_range(myfont, 'A', 'Z');

   /* Create a copy of the font */
   fontcopy = extract_font_range(myfont, -1, -1);
   ...
   destroy_font(capitals);
   destroy_font(fontcopy);

RETURN VALUE
Returns a pointer to the new font or NULL on error. Remember that you are responsible for destroying the font when you are finished with it to avoid memory leaks.

SEE ALSO
get_font_range_begin(3), get_font_range_end(3), merge_fonts(3), transpose_font(3), exfont(3)